Page MenuHomeMiraheze

Review skin: Liberty
Closed, ResolvedPublic

Description

Task to review https://gitlab.com/librewiki/liberty-mw-skin.

Note that I have commit access to the repo, so any problem can be fixed without further reporting ;)

Request wikis

  • geometrydashwiki

Event Timeline

revi created this task.May 25 2017, 06:49
utolee90 added a subscriber: utolee90.Jun 2 2017, 15:42

The first problem I see with this skin is that there are lots of untranslated strings in it, even for things (e.g. 'recentchanges') that have translations in core. These would probably be pretty easy to fix; I might try to find time, but it might be quicker for a Korean speaker. :-)

We’re in luck. According to @revi,s User Page, they are a native speaker of Korean.

Oh cool!

I'd say a good step would be to replace the non-i18n strings in the skin with messages (existing core ones or new skin ones, as required), and then register it with TranslateWiki.net to get more languages added.

revi added a project: revi.Oct 30 2017, 07:35

I have commit access to the repo (as I said in task description). Can you check if this merge request will solve most of your i18n problems? (We will discuss TWN bit later, but for now we (with a librewiki hat on) have no plan to move to WMF gerrit repo and stuff because we have our own Code of Conduct and don't want to be bound by WMF Tech CoC.

As I have been for awhile, I'm busy with my real life stuff, so I don't have (not only tho) time to make a real fix if the aforementioned MR does not fix it. Happy to merge then.

revi moved this task from Incoming to Extensions on the revi board.Oct 30 2017, 07:35

I've tested that patch, and it looks good to me. I commented over there.

MacFan4000 moved this task from Unsorted to Config on the MacFan4000 board.Oct 30 2017, 14:44

@Samwilson So after that merge request is merged, would it be okay to install this skin?

revi added a comment.Nov 21 2017, 15:28

@Samwilson It’s been merged (with a security vulnerability fixed meanwhile), worth having another look, I think.

revi changed the status of subtask T2975: Install skin liberty on geomatrydashwiki from Open to Stalled.Apr 8 2018, 14:50

I'm getting a couple of errors (with latest master of Liberty):

Undefined index: notifications-alert in skins/Liberty/LibertyTemplate.php on line 638

Undefined index: notifications-message in /home/sam/code/wikimedia/mediawiki/skins/Liberty/LibertyTemplate.php on line 639

It seems to not be checking whether Echo is installed. I'd raise a bug with the developers, but their Phabricator is all in Korean.

Other than that, I think it looks okay.

revi added a comment.Apr 13 2018, 07:59
Description

Note that I have commit access to the repo, so any problem can be fixed without further reporting ;)

I’ll get it to dev’s attention :)

Oops, I should have read that! :) Thanks.

revi added a comment.Apr 13 2018, 08:06
In T1832#56071, @revi wrote:
Description

Note that I have commit access to the repo, so any problem can be fixed without further reporting ;)

I’ll get it to dev’s attention :)

Reported at https://issue.librewiki.net/T497

Samwilson removed Samwilson as the assignee of this task.May 4 2018, 01:10
Paladox added a subscriber: Paladox.May 22 2018, 02:42

Bump on the issue upstream, any fixes for the echo problem? We could try enabling the skin now if that issue is fixed.

John added a subscriber: John.May 25 2018, 16:46

Bump on the issue upstream, any fixes for the echo problem? We could try enabling the skin now if that issue is fixed.

We have Echo installed on all wikis therefore that isn't an issue that affects us.

Paladox added a comment.May 25 2018, 17:00

Ok i will install the skin then.

Paladox closed this task as Resolved.May 25 2018, 18:33
Paladox claimed this task.